<?php
/**
 * Copyright ETS Software Technology Co., Ltd
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 * You are not allowed to redistribute, resell, lease, license, sub-license or offer our resources to any third party.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future.
 *
 * @author ETS Software Technology Co., Ltd
 * @copyright  ETS Software Technology Co., Ltd
 * @license    Valid for 1 website (or project) for each purchase of license
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class EtsSeoTranslation
{
    public static function dataTrans()
    {
        return [
            'outbound_link' => [
                'en' => 'Outbound links are links from your website to other websites. Outbound links help search engines to find websites and how webpages relate to each other. You should include at least an outbound link into your content to increase the trust of your content.',
                'fr' => 'Les liens sortants sont des liens de votre site Web vers d\'autres sites Web. Les liens sortants aident les moteurs de recherche à trouver des sites Web et comment les pages Web sont liées les unes aux autres. Vous devez inclure au moins un lien sortant dans votre contenu pour augmenter la confiance de votre contenu.',
                'es' => 'Los enlaces salientes son enlaces desde su sitio web a otros sitios web. Los enlaces salientes ayudan a los motores de búsqueda a encontrar sitios web y cómo las páginas web se relacionan entre sí. Debe incluir al menos un enlace saliente en su contenido para aumentar la confianza de su contenido.',
                'it' => 'I link uscenti sono link dal tuo sito Web ad altri siti Web. Link uscenti aiutano i motori di ricerca a trovare siti Web e il modo in cui le pagine Web sono in relazione tra loro. Dovresti includere almeno un link in uscita nei tuoi contenuti per aumentare la fiducia dei tuoi contenuti.',
            ],
            'internal_link' => [
                'en' => 'An internal link is any link from one page on your website to another page on your website. Internal links help Google find, index and understand all of your site\'s pages. You should insert at least an internal link (followed link is preferred) into your content.',
                'fr' => 'Un lien interne est un lien d\'une page de votre site Web vers une autre page de votre site Web. Les liens internes aident Google à trouver, indexer et comprendre toutes les pages de votre site. Vous devez insérer au moins un lien interne (le lien suivi est préférable) dans votre contenu.',
                'es' => 'Un enlace interno es cualquier enlace de una página en su sitio web a otra página en su sitio web. Los enlaces internos ayudan a Google a encontrar, indexar y comprender todas las páginas de su sitio. Debe insertar al menos un enlace interno (se prefiere el enlace seguido) en su contenido.',
                'it' => 'Link interni è qualsiasi link da una pagina del sito Web a un\'altra pagina del sito Web. Link interni aiutano Google a trovare, indicizzare e comprendere tutte le pagine del tuo sito. È necessario inserire almeno un link interno (è preferibile il link seguito) nel contenuto.',
            ],
            'keyphrase_length' => [
                'en' => 'The focus keyphrase is the phrase for which you want your page to be found for. For your focus keyphrase, we suggest a limit of 4 words.',
                'fr' => 'La phrase-clé principal est la phrase pour laquelle vous souhaitez que votre page soit trouvée. Pour votre phrase-clé principal, nous suggérons une limite de 4 mots.',
                'es' => 'La frase clave central es la frase para la que desea que se encuentre su página. Para su frase clave central, sugerimos un límite de 4 palabras.',
                'it' => 'Frase chiave principale è la frase per la quale si desidera trovare la pagina. Per la frase chiave principale, suggeriamo un limite di 4 parole.',
            ],
            'keyphrase_in_title' => [
                'en' => 'In the meta title you should always try using an exact match of your focus keyphrase. Try to keep the meta title original, concentrated and simple while adding your focus keyphrase in a suitable position.',
                'fr' => 'Dans le méta-titre, vous devez toujours essayer d\'utiliser une correspondance exacte de votre phrase-clé principal. Essayez de garder le méta-titre original, concentré et simple tout en ajoutant votre phrase-clé principal dans une position appropriée.',
                'es' => 'En el meta título, siempre debes intentar usar una coincidencia exacta de tu frase clave central. Intente mantener el meta título original, concentrado y simple mientras agrega su frase clave central en una posición adecuada.',
                'it' => 'Nel meta titolo dovresti sempre provare a usare una corrispondenza esatta della frase chiave principale. Cerca di mantenere il meta titolo originale, concentrato e semplice aggiungendo la frase chiave principale in una posizione adatta.',
            ],
            'keyphrase_in_page_title' => [
                'en' => 'In the [page_title] you should always try using an exact match of your focus keyphrase. Try to keep the page title original, concentrated and simple while adding your focus keyphrase in a suitable position.',
                'fr' => 'Dans la [page_title] vous devez toujours essayer d\'utiliser une correspondance exacte de votre phrase-clé principal. Essayez de garder le titre de la page original, concentré et simple tout en ajoutant votre phrase-clé principal dans une position appropriée.',
                'es' => 'En [page_title] siempre debe intentar usar una coincidencia exacta de su frase clave central. Intente mantener el título de la página original, concentrado y simple mientras agrega su frase clave central en una posición adecuada.',
                'it' => 'Nel [page_title] dovresti sempre provare a usare una corrispondenza esatta della frase chiave principale. Cerca di mantenere il titolo della pagina originale, concentrato e semplice aggiungendo la frase chiave principale in una posizione adatta.',
            ],
            'page_title_length' => [
                'en' => 'Your [page_title] should not exceed 65 characters.',
                'fr' => 'Le titre de votre [page_title] ne doit pas dépasser 65 caractères.',
                'es' => 'Tu [page_title] no debe exceder los 65 caracteres.',
                'it' => 'Il tuo [page_title] non deve superare i 65 caratteri.',
            ],
            'minor_keyphrase_length' => [
                'en' => 'Related keyphrase is a phrase closely related to the focus keyphrase, usually long, descriptive and may not have a high level of traffic. You can enter multiple related keyphrases, each keyphrase should not exceed 4 words.',
                'fr' => 'La phrase-clé associée est une phrase étroitement liée à la phrase-clé principal, généralement longue, descriptive et peut ne pas avoir un niveau de trafic élevé. Vous pouvez saisir plusieurs phrases-clés associées, chaque phrase-clé ne doit pas dépasser 4 mots.',
                'es' => 'La frase clave relacionada es una frase estrechamente relacionada con la frase clave central, generalmente larga, descriptiva y puede no tener un alto nivel de tráfico. Puede ingresar múltiples frases clave relacionadas, cada frase clave no debe exceder las 4 palabras.',
                'it' => 'La frase chiave correlata è una frase strettamente correlata alla frase chiave principale, generalmente lunga, descrittiva e potrebbe non avere un livello elevato di traffico. È possibile inserire più frasi chiave correlate, ogni frase chiave non deve superare le 4 parole.',
            ],
            'keyphrase_in_subheading' => [
                'en' => 'You should include your focus keyphrase in subheadings to show readers what the specific subparts of the text are talking about, this is called a subheading reflects the topic. In general, a subheading is considered to reflect the topic if at least half of the words from your focus keyphrase are used in it. The focus keyphrase should appear in 30 to 75% of your H2 and H3 subheadings.',
                'fr' => 'Vous devez inclure votre phrase-clé principal dans les sous-titres pour montrer aux lecteurs de quoi parlent les sous-parties spécifiques du texte, c\'est ce qu\'on appelle un sous-titre qui reflète le sujet. En général, un sous-titre est considéré comme reflétant le sujet si au moins la moitié des mots de votre phrase-clé principal y sont utilisés. La phrase-clé principal doit apparaître dans 30 à 75% de vos sous-titres H2 et H3.',
                'es' => 'Debe incluir su frase clave central en los subtítulos para mostrar a los lectores de qué están hablando las subpartes específicas del texto, esto se llama un subtítulo que refleja el tema. En general, se considera que un subtítulo refleja el tema si se usa al menos la mitad de las palabras de su frase clave central. La frase clave central debería aparecer en 30 a 75% de su subtítulos H2 y H3.',
                'it' => 'Dovresti includere la frase chiave principale nei sottovoci per mostrare ai lettori di cosa parlano le specifiche sottoparti del testo, questo si chiama sottovoci che riflette l\'argomento. In generale, si considera che un sottovoce rifletta l\'argomento se almeno la metà delle parole della frase chiave principale viene utilizzata in esso. La frase chiave principale dovrebbe apparire nel 30-75% delle sottovoci H2 e H3.',
            ],
            'keyphrase_in_intro' => [
                'en' => 'Google uses your introduction (normaly it is the first paragraph of your text) to decide what your text is about. In this introduction, you should use your focus keyphrase. It would be better if you add focus keyphrase right in the first sentence. In case of product page, the introduction will be the product summary.',
                'fr' => 'Google utilise votre introduction (normalement c\'est le premier paragraphe de votre texte) pour décider de quoi parle votre texte. Dans cette introduction, vous devez utiliser votre phrase-clé principal. Il serait préférable d\'ajouter la phrase-clé principal directement dans la première phrase. En cas de page produit, l\'introduction sera le résumé du produit.',
                'es' => 'Google usa su introducción (normalmente es el primer párrafo de su texto) para decidir de qué trata su texto. En esta introducción, debe usar su frase clave central. Sería mejor si agrega la frase clave central directamente en la primera oración. En el caso de la página del producto, la introducción será el resumen del producto.',
                'it' => 'Google usa la tua introduzione (normalmente è il primo paragrafo del tuo testo) a decidere di cosa tratta il tuo testo. In questa introduzione, è necessario utilizzare la frase chiave principale. Sarebbe meglio se aggiungi la frase chiave principale proprio nella prima frase. Nel caso della pagina del prodotto, l\'introduzione sarà il riepilogo del prodotto.',
            ],
            'keyphrase_density' => [
                'en' => 'Focus keyphrase density is the number of times your focus keyphrase appears in your text, compared to the total text of that page. We recommend that you maintain a focus keyphrase density of 0.3% to 3% (but at least not less than 3 times). ',
                'fr' => 'La densité de phrase-clé principal est le nombre de fois que votre phrase-clé principal apparaît dans votre texte, par rapport au texte total de cette page. Nous vous recommandons de maintenir une densité de phrase-clé principal de 0.3% à 3% (mais au moins pas moins de 3 fois). ',
                'es' => 'Densidad de la frase clave central es la cantidad de veces que su frase clave central aparece en su texto, en comparación con el texto total de esa página. Recomendamos que mantenga una densidad de frase clave central de 0.3% a 3% (pero al menos no menos de 3 veces). ',
                'it' => 'La densità della frase chiave principale è il numero di volte in cui la frase chiave principale appare nel testo, rispetto al testo totale di quella pagina. Ti consigliamo di mantenere una densità della frase chiave principale compresa tra 0.3% e 3% (ma almeno non meno di 3 volte). ',
            ],
            'keyphrase_density_individual' => [
                'en' => 'The individual words of your focus keyphrase should also appear on your content. "Individual words of focus keyphrase density" is the number of times these individual words appear in your text, compared to the total text of that page. We recommend that you maintain a density of at least 0.3%.',
                'fr' => 'Les mots individuels de votre phrase-clé principal doivent également apparaître sur votre contenu. «Densité de mots individuels de phrase-clé principal» est le nombre de fois que ces mots individuels apparaissent dans votre texte, par rapport au texte total de cette page. Nous vous recommandons de maintenir une densité d\'au moins 0,3%.',
                'es' => 'Las palabras individuales de su frase clave central también deben aparecer en su contenido. "Densidad de palabras individuales de frase clave central" es la cantidad de veces que estas palabras individuales aparecen en su texto, en comparación con el texto total de esa página. Recomendamos que mantenga una densidad de al menos 0.3%.',
                'it' => 'Parole chiave individuali della frase chiave principale dovrebbero anche apparire sui tuoi contenuti. "Densità di parole chiave individuali della frase chiave principale" è il numero di volte in cui queste singole parole appaiono nel tuo testo, rispetto al testo totale di quella pagina. Ti consigliamo di mantenere una densità di almeno lo 0.3%.',
            ],
            'image_alt_attribute' => [
                'en' => 'If the image can not be shown to the visitor for any reason, you can add an image alt attribute (it is also called image caption or image description) to an image to display descriptive text in place. Search engines use alt text to decide what appears on the image. You should keep image alt text at around 125 characters and add your focus keyphrase at least 1 time into it.',
                'fr' => 'Si l\'image ne peut pas être montrée au visiteur pour une raison quelconque, vous pouvez ajouter un attribut alt d\'image (il est également appelé légende de l\'image ou description de l\'image) à une image pour afficher le texte descriptif en place. Les moteurs de recherche utilisent un texte alternatif pour décider de ce qui apparaît sur l\'image. Vous devez conserver le texte alternatif de l\'image à environ 125 caractères et y ajouter votre phrase-clé principal au moins 1 fois.',
                'es' => 'Si la imagen no se puede mostrar al visitante por algún motivo, puede agregar un atributo alt de imagen (también se denomina título de imagen o descripción de imagen) a una imagen para mostrar el texto descriptivo en su lugar. Los motores de búsqueda usan texto alternativo para decidir qué aparece en la imagen. Debe mantener el texto alternativo de la imagen en alrededor de 125 caracteres y agregar su frase clave central al menos 1 vez.',
                'it' => 'Se l\'immagine non può essere mostrata al visitatore per nessun motivo, è possibile aggiungere un attributo alt dell\'immagine (è anche chiamato didascalia o descrizione dell\'immagine) a un\'immagine per visualizzare il testo descrittivo in atto. I motori di ricerca usano il testo alternativo per decidere cosa appare sull\'immagine. Dovresti mantenere il testo alternativo dell\'immagine a circa 125 caratteri e aggiungere la frase chiave principale almeno 1 volta in esso.',
            ],
            'text_length' => [
                'en' => 'To be able to rank, every page on your site must contain a certain amount of words. The minimum length of the texts (including short description, description, content of a page, etc.) will vary depending on the type of page. For example: category page needs at least 100 words; regular content page needs at least 300 words; etc.',
                'fr' => 'Pour pouvoir se classer, chaque page de votre site doit contenir un certain nombre de mots. La longueur minimale des textes (y compris une brève description, une description, le contenu d\'une page, etc.) variera en fonction du type de page. Par exemple: la page de catégorie a besoin d\'au moins 100 mots; la page de contenu standard nécessite au moins 300 mots; etc.',
                'es' => 'Para poder clasificar, cada página de su sitio debe contener una cierta cantidad de palabras. La longitud mínima de los textos (incluida una breve descripción, descripción, contenido de una página, etc.) variará según el tipo de página. Por ejemplo: la página de categoría necesita al menos 100 palabras; la página de contenido normal necesita al menos 300 palabras; etc.',
                'it' => 'Per essere in grado di classificare, ogni pagina del tuo sito deve contenere un certo numero di parole. La lunghezza minima dei testi (compresa una breve descrizione, descrizione, contenuto di una pagina, ecc.) Varierà a seconda del tipo di pagina. Ad esempio: la pagina della categoria richiede almeno 100 parole; la pagina dei contenuti regolari richiede almeno 300 parole; eccetera.',
            ],
            'meta_description_length' => [
                'en' => 'The meta description is a short text that can be applied to your page or site, summarizing what the page is about and attracting people to visit your website. Meta description should be between 120 characters and 156 characters.',
                'fr' => 'La méta description est un court texte qui peut être appliqué à votre page ou site, résumant le sujet de la page et incitant les gens à visiter votre site Web. La méta description doit comprendre entre 120 et 156 caractères.',
                'es' => 'La meta descripción es un texto breve que puede aplicarse a su página o sitio, que resume de qué trata la página y atrae a las personas a visitar su sitio web. La meta descripción debe tener entre 120 y 156 caracteres.',
                'it' => 'La meta descrizione è un breve testo che può essere applicato alla tua pagina o al tuo sito, riassumendo il contenuto della pagina e attirando le persone a visitare il tuo sito web. La meta descrizione dovrebbe essere compresa tra 120 e 156 caratteri.',
            ],
            'seo_title_width' => [
                'en' => 'Meta title will be displayed as the title of your snippet to people on the results pages of the search engines and may differ from the title of your page. We recommend the length of the meta title should be less than 60 characters.',
                'fr' => 'Le titre de méta sera affiché comme le titre de votre extrait aux personnes sur les pages de résultats des moteurs de recherche et peut différer du titre de votre page. Nous recommandons que la longueur du méta-titre soit inférieure à 60 caractères.',
                'es' => 'El meta título se mostrará como el título de su fragmento a las personas en las páginas de resultados de los motores de búsqueda y puede diferir del título de su página. Recomendamos que la longitud del meta título sea inferior a 60 caracteres.',
                'it' => 'Il meta titolo verrà visualizzato come titolo dello snippet per le persone sulle pagine dei risultati dei motori di ricerca e potrebbe differire dal titolo della pagina. Raccomandiamo che la lunghezza del meta titolo dovrebbe essere inferiore a 60 caratteri.',
            ],
            'keyphrase_in_meta_desc' => [
                'en' => 'The meta description is a short piece of text that provides search engines and visitors a sort of summary of what your page is about. You should let all words from the focus keyphrase appear 1 or 2 times in meta description.',
                'fr' => 'La méta description est un court texte qui fournit aux moteurs de recherche et aux visiteurs une sorte de résumé de l\'objet de votre page. Vous devez laisser tous les mots de la phrase-clé principal apparaître 1 ou 2 fois dans la méta description.',
                'es' => 'La meta descripción es un breve texto que proporciona a los motores de búsqueda y visitantes una especie de resumen de lo que trata su página. Debe dejar que todas las palabras de la frase clave central aparezcan 1 o 2 veces en la meta descripción.',
                'it' => 'La meta descrizione è un breve pezzo di testo che fornisce ai motori di ricerca e ai visitatori una sorta di sommario di cosa tratta la tua pagina. Dovresti far apparire tutte le parole dalla frase chiave principale 1 o 2 volte nella meta descrizione.',
            ],
            'keyphrase_in_slug' => [
                'en' => 'A slug is the part of a URL that identifies a specific page on a website in an easy-to-read form. For short focus keyphrases (1-2 words length), you should use all keyphrase words in URL. For longer focus keyphrases (>2 words length), you should use more than half keyphrase words in URL.',
                'fr' => 'Un slug est la partie d\'une URL qui identifie une page spécifique sur un site Web sous une forme facile à lire. Pour les phrase-clé principal court (longueur de 1 à 2 mots), vous devez utiliser tous les mots clés dans l\'URL. Pour les phrase-clé principal plus longues (> 2 mots de longueur), vous devez utiliser plus de la moitié des mots clés dans l\'URL.',
                'es' => 'Una slug es la parte de una URL que identifica una página específica en un sitio web en un formulario fácil de leer. Para frases clave central corto (1-2 palabras de longitud), debe usar todas las palabras clave en URL. Para frases clave central más largas (> 2 palabras de longitud), debe usar más de la mitad de las palabras clave en la URL.',
                'it' => 'Una slug è la parte di un URL che identifica una pagina specifica su un sito Web in un formato di facile lettura. Per frasi chiave principale breve (lunghezza di 1-2 parole), dovresti usare tutte le parole chiave nell\'URL. Per frasi chiave principale più lungo (lunghezza > 2 parole), dovresti usare più della metà delle parole chiave nell\'URL.',
            ],
            'minor_keyphrase_in_content' => [
                'en' => 'Related keyphrase is a phrase closely related to the focus keyphrase, usually long, descriptive and may not have a high level of traffic. You should allow each related keyphrases to appear at least 1 time in your content.',
                'fr' => 'La phrase-clé associée est une phrase étroitement liée à la phrase-clé principal, généralement longue, descriptive et peut ne pas avoir un niveau de trafic élevé. Vous devez autoriser chaque phrase-clé associée à apparaître au moins 1 fois dans votre contenu.',
                'es' => 'La frase clave relacionada es una frase estrechamente relacionada con la frase clave central, generalmente larga, descriptiva y puede no tener un alto nivel de tráfico. Debe permitir que cada frase clave relacionada aparezca al menos 1 vez en su contenido.',
                'it' => 'La frase chiave correlata è una frase strettamente correlata alla frase chiave principale, generalmente lunga, descrittiva e potrebbe non avere un livello elevato di traffico. Dovresti consentire ad ogni frase chiave correlata di apparire almeno 1 volta nel tuo contenuto.',
            ],
            'minor_keyphrase_in_content_individual' => [
                'en' => 'The individual words of your related keyphrase should also appear on your content. "Individual words of related keyphrase density" is the number of times these individual words appear in your text, compared to the total text of that page. We recommend that you maintain a density of at least 0.3%.',
                'fr' => 'Les mots individuels de votre phrase-clé associée doivent également apparaître sur votre contenu. "Densité de mots individuels de phrase-clé associée" est le nombre de fois où ces mots individuels apparaissent dans votre texte, par rapport au texte total de cette page. Nous vous recommandons de maintenir une densité d\'au moins 0,3%.',
                'es' => 'Las palabras individuales de su frase clave relacionada también deben aparecer en su contenido. "Densidad de palabras individuales de frase clave relacionada" es el número de veces que estas palabras individuales aparecen en su texto, en comparación con el texto total de esa página. Recomendamos que mantenga una densidad de al menos 0.3%.',
                'it' => 'Parole chiave individuali della frase chiave correlata dovrebbero apparire anche nei tuoi contenuti. "Densità di parole chiave individuali della frase chiave correlata" è il numero di volte in cui queste singole parole appaiono nel tuo testo, rispetto al testo totale di quella pagina. Ti consigliamo di mantenere una densità di almeno lo 0.3%.',
            ],
            'minor_keyphrase_in_title' => [
                'en' => 'Related keyphrase is a phrase closely related to the focus keyphrase, usually long, descriptive and may not have a high level of traffic. You should allow related keyphrases to appear at least 1 time in your [page_title] or meta title',
                'fr' => 'La phrase-clé associée est une phrase étroitement liée à la phrase-clé principal, généralement longue, descriptive et peut ne pas avoir un niveau de trafic élevé. Vous devez autoriser les phrases-clés associées à apparaître au moins 1 fois dans votre [page_title] ou titre méta.',
                'es' => 'La frase clave relacionada es una frase estrechamente relacionada con la frase clave central, generalmente larga, descriptiva y puede no tener un alto nivel de tráfico. Debes permitir que las frases clave relacionadas aparezcan al menos 1 vez en tu [page_title] o meta título.',
                'it' => 'La frase chiave correlata è una frase strettamente correlata alla frase chiave principale, generalmente lunga, descrittiva e potrebbe non avere un livello elevato di traffico. Dovresti consentire ad ogni frase chiave correlata di apparire almeno 1 volta nel tuo [page_title] or meta titolo',
            ],
            'minor_keyphrase_in_page_title' => [
                'en' => 'Related keyphrase is a phrase closely related to the focus keyphrase, usually long, descriptive and may not have a high level of traffic. You should allow related keyphrases to appear at least 1 time in your [page_title].',
                'fr' => 'La phrase-clé associée est une phrase étroitement liée à la phrase-clé principal, généralement longue, descriptive et peut ne pas avoir un niveau de trafic élevé. Vous devez autoriser les phrases-clés associées à apparaître au moins 1 fois dans votre [page_title].',
                'es' => 'La frase clave relacionada es una frase estrechamente relacionada con la frase clave central, generalmente larga, descriptiva y puede no tener un alto nivel de tráfico. Debe permitir que las frases clave relacionadas aparezcan al menos 1 vez en su [page_title].',
                'it' => 'La frase chiave correlata è una frase strettamente correlata alla frase chiave principale, generalmente lunga, descrittiva e potrebbe non avere un livello elevato di traffico. Dovresti consentire ad ogni frase chiave correlata di apparire almeno 1 volta nel tuo [page_title].',
            ],
            'minor_keyphrase_in_desc' => [
                'en' => 'Related keyphrase is a phrase closely related to the focus keyphrase, usually long, descriptive and may not have a high level of traffic. You should allow related keyphrases to appear at least 1 time in your meta description',
                'fr' => 'La phrase-clé associée est une phrase étroitement liée à la phrase-clé principal, généralement longue, descriptive et peut ne pas avoir un niveau de trafic élevé. Vous devez autoriser les phrases-clés associées à apparaître au moins 1 fois dans votre méta description',
                'es' => 'La frase clave relacionada es una frase estrechamente relacionada con la frase clave central, generalmente larga, descriptiva y puede no tener un alto nivel de tráfico. Debe permitir que las frases clave relacionadas aparezcan al menos 1 vez en su meta descripción.',
                'it' => 'La frase chiave correlata è una frase strettamente correlata alla frase chiave principale, generalmente lunga, descrittiva e potrebbe non avere un livello elevato di traffico. Dovresti consentire ad ogni frase chiave correlata di apparire almeno 1 volta nel tuo meta descrizione',
            ],
            'minor_keyphrase_acceptance' => [
                'en' => 'Related keyphrase is a phrase closely related to the focus keyphrase, usually long, descriptive and may not have a high level of traffic. You should allow related keyphrases to appear at least 1 time in your title or meta title',
                'fr' => 'La phrase-clé associée est une phrase étroitement liée à la phrase-clé principal, généralement longue, descriptive et peut ne pas avoir un niveau de trafic élevé. Vous devez autoriser les phrases-clés associées à apparaître au moins 1 fois dans votre titre ou méta-titre.',
                'es' => 'La frase clave relacionada es una frase estrechamente relacionada con la frase clave central, generalmente larga, descriptiva y puede no tener un alto nivel de tráfico. Debe permitir que aparezcan frases clave relacionadas al menos 1 vez en su título o metatítulo.',
                'it' => 'La frase chiave correlata è una frase strettamente correlata alla frase chiave principale, generalmente lunga, descrittiva e potrebbe non avere un livello elevato di traffico. Dovresti consentire ad ogni frase chiave correlata di apparire almeno 1 volta nel tuo titolo o meta titolo',
            ],
            /* Readability */
            'not_enough_content' => [
                'en' => 'Please ensure that your content has more than 50 characters. A quality content will attract audiences and offer a high rank in the search engines, so write some more text!',
                'fr' => 'Veuillez vous assurer que votre contenu comporte plus de 50 caractères. Un contenu de qualité attirera le public et offrira un rang élevé dans les moteurs de recherche, alors écrivez un peu plus de texte !',
                'es' => 'Asegúrese de que su contenido tenga más de 50 caracteres. Un contenido de calidad atraerá audiencias y ofrecerá un alto rango en los motores de búsqueda, ¡así que escriba más texto!',
                'it' => 'Assicurati che i tuoi contenuti contengano più di 50 caratteri. Un contenuto di qualità attirerà il pubblico e offrirà un alto rango nei motori di ricerca, quindi scrivi altro testo!',
            ],
            'sentence_length' => [
                'en' => 'A text consisting of many long sentences is difficult to read because it is more difficult to process long sentences. If more than 25% of your sentences are more than 20 words, some of these long sentences should be shortened.',
                'fr' => 'Un texte composé de nombreuses phrases longues est difficile à lire car il est plus difficile de traiter de longues phrases. Si plus de 25% de vos phrases sont plus de 20 mots, certaines de ces longues phrases doivent être raccourcies.',
                'es' => 'Un texto que consta de muchas oraciones largas es difícil de leer porque es más difícil procesar oraciones largas. Si más del 25% de sus oraciones son más de 20 palabras, algunas de estas oraciones largas deben acortarse.',
                'it' => 'Un testo composto da molte frasi lunghe è difficile da leggere perché è più difficile elaborare frasi lunghe. Se più del 25% delle tue frasi sono più di 20 parole, alcune di queste frasi lunghe dovrebbero essere abbreviate.',
            ],
            'flesch_reading_ease' => [
                'en' => 'The Flesch Reading Ease check shows if your content is easy to read or not. The result is a number on a scale from 0 to 100 — the lower that number, the harder your text is to read. You should not use too many difficult words (it is usually believed that a good web text can be easily understood by a 13-15-year-old) and keep your sentences rather short to get a high result.',
                'fr' => 'La vérification Flesch Reading Ease indique si votre contenu est facile à lire ou non. Le résultat est un nombre sur une échelle de 0 à 100 - plus ce nombre est bas, plus votre texte est difficile à lire. Vous ne devez pas utiliser trop de mots difficiles (on pense généralement qu\'un bon texte Web peut être facilement compris par un adolescent de 13 à 15 ans) et garder vos phrases plutôt courtes pour obtenir un résultat élevé.',
                'es' => 'La Flesch Reading Ease muestra si su contenido es fácil de leer o no. El resultado es un número en una escala de 0 a 100: cuanto menor sea ese número, más difícil será leer el texto. No debe usar demasiadas palabras difíciles (por lo general, se cree que un texto web bueno puede ser fácilmente entendido por un niño de 13-15 años) y mantener sus oraciones bastante cortas para obtener un resultado alto.',
                'it' => 'Flesch Reading Ease mostra se il contenuto è facile da leggere o meno. Il risultato è un numero su una scala da 0 a 100: più basso è quel numero, più difficile sarà la lettura del testo. Non dovresti usare troppe parole difficili (di solito si crede che un buon testo web possa essere facilmente compreso da un 13-15 anni) e mantenere le frasi piuttosto brevi per ottenere un risultato elevato.',
            ],
            'paragraph_length' => [
                'en' => 'We recommend that you should keep the length of your paragraphs below 150 words to ensure maximum comprehension while reading.',
                'fr' => 'Nous vous recommandons de garder la longueur de vos paragraphes en dessous de 150 mots pour assurer une compréhension maximale lors de la lecture.',
                'es' => 'Recomendamos que mantenga la longitud de sus párrafos por debajo de 150 palabras para garantizar la máxima comprensión mientras lee.',
                'it' => 'Si consiglia di mantenere la lunghezza dei paragrafi inferiore a 150 parole per garantire la massima comprensione durante la lettura.',
            ],
            'passive_voice' => [
                'en' => 'You should keep the number of sentences containing passive voice under 10% of your total sentences. How about trying to write more active voice sentences instead?',
                'fr' => 'Vous devez limiter le nombre de phrases contenant une voix passive à moins de 10% du total de vos phrases. Que diriez-vous d\'essayer d\'écrire des phrases vocales plus actives à la place ?',
                'es' => 'Debe mantener el número de oraciones que contienen voz pasiva por debajo del 10% de sus oraciones totales. ¿Qué tal intentar escribir oraciones de voz más activas en su lugar?',
                'it' => 'Dovresti mantenere il numero di frasi contenenti voce passiva al di sotto del 10% delle frasi totali. Che ne dici di provare a scrivere frasi vocali più attive invece?',
            ],
            'consecutive_sentences' => [
                'en' => 'A paragraph containing many consecutive sentences all starting with the same word is not a pleasant text. The words will be repeated and not fluent. Your text should not contains 3 or more sentences in a row all starting with the same word.',
                'fr' => 'Un paragraphe contenant de nombreuses phrases consécutives commençant toutes par le même mot n\'est pas un texte agréable. Les mots seront répétés et non fluents. Votre texte ne doit pas contenir 3 phrases ou plus d\'affilée commençant toutes par le même mot.',
                'es' => 'Un párrafo que contiene muchas oraciones consecutivas, todas comenzando con la misma palabra, no es un texto agradable. Las palabras serán repetidas y no fluidas. Su texto no debe contener 3 o más oraciones seguidas, todas comenzando con la misma palabra.',
                'it' => 'Un paragrafo contenente molte frasi consecutive che iniziano tutte con la stessa parola non è un testo piacevole. Le parole saranno ripetute e non fluenti. Il testo non deve contenere 3 o più frasi di fila che iniziano tutte con la stessa parola.',
            ],
            'subheading_distribution' => [
                'en' => 'Subheading tags are indicators used in HTML to help structure your web page from an SEO point of view. Subheading tags range from H2 to H6 and form a hierarchical structure to your page. You should place a subheading above each long paragraph, or above a group of paragraphs that make up a thematic unit. Generally, the text following a subheading should not exceed 250-350 words.',
                'fr' => 'Les balises de sous-titres sont des indicateurs utilisés en HTML pour aider à structurer votre page Web d\'un point de vue SEO. Les balises de sous-titres vont de H2 à H6 et forment une structure hiérarchique à votre page. Vous devez placer un sous-titre au-dessus de chaque long paragraphe, ou au-dessus d\'un groupe de paragraphes qui composent une unité thématique. Généralement, le texte suivant une sous-titre ne doit pas dépasser 250-350 mots.',
                'es' => 'Las etiquetas de subtítulos son indicadores utilizados en HTML para ayudar a estructurar su página web desde un punto de vista de SEO. Las etiquetas de subtítulos varían de H2 a H6 y forman una estructura jerárquica para su página. Debe colocar un subtítulo sobre cada párrafo largo, o sobre un grupo de párrafos que componen una unidad temática. Generalmente, el texto que sigue a un subtítulo no debe exceder las 250-350 palabras.',
                'it' => 'I tag dei sottovoci sono indicatori utilizzati in HTML per aiutare a strutturare la tua pagina web da un punto di vista SEO. I tag dei sottovoci vanno da H2 a H6 e formano una struttura gerarchica per la tua pagina. È necessario posizionare una sottovoce sopra ogni lungo paragrafo o sopra un gruppo di paragrafi che compongono un\'unità tematica. In genere, il testo che segue una sottovoce non deve superare le 250-350 parole.',
            ],
            'transition_words' => [
                'en' => 'Transition words are words like ‘most importantly’, ‘because’, ‘therefore’, or ‘besides’. They help your text become easier to read. You should use transition words in at least 30% of the sentences in your text.',
                'fr' => 'Les mots de transition sont des mots comme « le plus important », « parce que », « donc » ou « en plus ». Ils facilitent la lecture de votre texte. Vous devez utiliser des mots de transition dans au moins 30% des phrases de votre texte.',
                'es' => 'Las palabras de transición son palabras como "lo más importante", "porque", "por lo tanto" o "además". Ayudan a que su texto sea más fácil de leer. Debe usar palabras de transición en al menos el 30% de las oraciones en su texto.',
                'it' => 'Le parole di transizione sono parole come "soprattutto", "perché", "quindi" o "oltre". Aiutano il tuo testo a diventare più facile da leggere. È necessario utilizzare parole di transizione in almeno il 30% delle frasi nel testo.',
            ],
            'single_h1' => [
                'en' => 'A H1 heading is the title of your [page_title] page and you should only use it once per page. For product page, the product name will be used as H1 heading. You should replace any H1 in your content that are not title of your [page_title] page with a lower heading level',
                'fr' => 'Un en-tête H1 est le titre de votre page [page_title] et vous ne devez l\'utiliser qu\'une seule fois par page. Pour la page du produit, le nom du produit sera utilisé comme en-tête H1. Vous devez remplacer tout H1 dans votre contenu qui n\'est pas le titre de votre page [page_title] par un niveau de titre inférieur',
                'es' => 'Un encabezado H1 es el título de su página [page_title] y solo debe usarlo una vez por página. Para la página del producto, el nombre del producto se utilizará como encabezado H1. Debe reemplazar cualquier H1 en su contenido que no sea el título de su página [page_title] con un nivel de encabezado más bajo',
                'it' => 'Un titolo H1 è il titolo della tua pagina [page_title] e dovresti usarlo solo una volta per pagina. Per la pagina del prodotto, il nome del prodotto verrà utilizzato come intestazione H1. Dovresti sostituire qualsiasi H1 nei tuoi contenuti che non sia il titolo della tua pagina [page_title] con un livello di intestazione inferiore',
            ],
            'product_name' => [
                'en' => 'Product name',
                'fr' => 'Nom du produit',
                'es' => 'Nombre del producto',
                'it' => 'Nome del prodotto',
            ],
            'category_name' => [
                'en' => 'Category name',
                'fr' => 'Nom de catégorie',
                'es' => 'Nombre de la categoría',
                'it' => 'Nome della categoria',
            ],
            'cms_title' => [
                'en' => 'CMS title',
                'fr' => 'Titre CMS',
                'es' => 'Título de CMS',
                'it' => 'Titolo CMS',
            ],
            'cms_category_title' => [
                'en' => 'CMS category title',
                'fr' => 'Titre de la catégorie CMS',
                'es' => 'Título de categoría de CMS',
                'it' => 'Titolo della categoria CMS',
            ],
            'meta_title' => [
                'en' => 'Page title',
                'fr' => 'Titre de la page',
                'es' => 'Título de la página',
                'it' => 'Titolo della pagina',
            ],
            'manufacturer_name' => [
                'en' => 'Brand (manufacturer) name',
                'fr' => 'Nom de la marque (fabricant)',
                'es' => 'Nombre de la marca (fabricante)',
                'it' => 'Nome del marchio (produttore)',
            ],
            'supplier_name' => [
                'en' => 'Supplier name',
                'fr' => 'Nom du fournisseur',
                'es' => 'Nombre del proveedor',
                'it' => 'Nome del fornitore',
            ],
        ];
    }

    public static function trans($key, $id_lang = null)
    {
        if (!$id_lang) {
            $isoCode = Context::getContext()->language->iso_code;
        } else {
            $isoCode = Language::getIsoById($id_lang);
        }
        $data = self::dataTrans();
        if (isset($data[$key][$isoCode])) {
            return $data[$key][$isoCode];
        }

        $lang_default = (int) Configuration::get('PS_LANG_DEFAULT');
        $isoCode = Language::getIsoById($lang_default);
        if (isset($data[$key][$isoCode])) {
            return $data[$key][$isoCode];
        }

        if (isset($data[$key]['en'])) {
            return $data[$key]['en'];
        }

        return '';
    }

    public static function getAllTrans($id_lang = null)
    {
        if (!$id_lang) {
            $id_lang = Context::getContext()->language->id;
        }

        $data = self::dataTrans();
        $result = [];
        foreach ($data as $key => $item) {
            if ($item) {
            }
            $result[$key] = self::trans($key, $id_lang);
        }

        return $result;
    }
}
